<?php
/**
 *
 * @author	ahrasis
 * @email	ahrasis@gmail.com
 * @link	http://sahabat.ahrasis.com
 * @license	Free License
 * @addon	Masa: Surfer's Local Live Time
 *
 */

if (!defined('ELK'))
	die('No access...');

function Masa_Main(&$buttons)
{
	global $modSettings, $context, $options, $user_info;

	if (!empty($modSettings['masa_enable']) && !$user_info['is_guest'] || !empty($modSettings['masa_guest']) && $user_info['is_guest'])
	{
		// Load language(s)
		loadLanguage('Masa/Masa');

		// Load template(s)
		loadTemplate('Masa/Masa');
		
		// Load variant based css
		loadCSSFile($context['theme_variant'] . '/Masa/Masa' . $context['theme_variant'] . '.css');
		
		
		// Load variant based css
		if (!empty($modSettings['masa_date_hide']))
			loadCSSFile('Masa/Masa.styles.css');

		// Add it after login bar
		$context['theme_header_callbacks'] = elk_array_insert($context['theme_header_callbacks'], 'login_bar', array('time_bar'), 'after');
	}
}

function Masa_Settings(&$config_vars)
{
	global $modSettings;
	
	// Load language(s)
	loadLanguage('Masa/Masa');

	// Add setting(s)
	$masa = array(array('check', 'masa_enable'),);
	$line = array('',);
	$add = array(
		array('check', 'masa_guest_see'),
		array('check', 'masa_pm_am_hide'),
		array('check', 'masa_date_hide'),
		array('text', 'masa_date_format'),
	);

	if (empty($modSettings['masa_enable'])) {
		$first = array_slice($masa, 0);
		$masa = array_merge($first, $line);
	}

	if (!empty($modSettings['masa_enable'])) {
		// Insert after all available slice.
		$first = array_slice($masa, 0);
		$masa = array_merge($first, $add, $line);
	}

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $masa);
}

?>